Package org.eclipse.ecf.core.security

# Interface IConnectHandlerPolicy

All Superinterfaces:
  `IContainerPolicy`

public interface IConnectHandlerPolicy extends IContainerPolicy
Connect policy typically implemented by servers

## Method Summary

Modifier and Type
Method
Description
`PermissionCollection`
`checkConnect(Object address, ID fromID, ID targetID, String targetGroup, Object connectData)`
Check connect request

### Methods inherited from interface org.eclipse.ecf.core.security.IContainerPolicy

`refresh`

## Method Details

### checkConnect

PermissionCollection checkConnect(Object address, ID fromID, ID targetID, String targetGroup, Object connectData) throws Exception
Check connect request

Parameters:
  `address` - the address for the remote client
  `fromID` - the ID of the container making the connect request
  `targetID` - the ID of the container responding to that connect request
  `targetGroup` - the target name of the group that is being connected to
  `connectData` - arbitrary data associated with the join request
Returns:
  PermissionCollection a collection of permissions associated with a successful acceptance of join request
Throws:
  `Exception` - thrown if connect should not be allowed